Talkr AI
API ReferenceAgents

Get Agent

Retrieve a single agent by ID, including its full workflow definition

Returns the full agent including workflow_definition (nodes and edges), template_context_variables, workflow_configurations, and run statistics.

GET
/api/v1/workflow/fetch/{workflow_id}

Path Parameters

workflow_id*Workflow Id

Header Parameters

authorization?string|null
X-API-Key?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/workflow/fetch/0"
{  "id": 0,  "name": "string",  "status": "string",  "created_at": "2019-08-24T14:15:22Z",  "workflow_definition": {},  "current_definition_id": 0,  "template_context_variables": {},  "call_disposition_codes": {    "disposition_codes": []  },  "total_runs": 0,  "workflow_configurations": {},  "version_number": 0,  "version_status": "string",  "workflow_uuid": "string"}